Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.awt
Class ShapeCollectionPathIterator

    java.lang.Object
      com.vividsolutions.jts.awt.ShapeCollectionPathIterator

All Implemented Interfaces:
  java.awt.geom.PathIterator

    public class ShapeCollectionPathIterator

extends java.lang.Object
implements java.awt.geom.PathIterator

A `PathIterator` which provides paths for a collection of `Shape`s.

Author:
  Martin Davis

Field Summary

Fields inherited from interface java.awt.geom.PathIterator
`SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

Constructor Summary
`ShapeCollectionPathIterator(java.util.Collection shapes, java.awt.geom.AffineTransform affineTransform)` Creates a new path iterator for a collection of `Shape`s.

Method Summary
`int` | `currentSegment(double[] coords)`
`int` | `currentSegment(float[] coords)`
`int` | `getWindingRule()`
`boolean` | `isDone()`
`void` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeCollectionPathIterator

    public ShapeCollectionPathIterator(java.util.Collection shapes,
                                       java.awt.geom.AffineTransform affineTransform)

  Creates a new path iterator for a collection of `Shape`s.

  Parameters:
    `shapes` - the Shapes in the collection
    `affineTransform` - a optional transformation to be applied to the coordinates in the path (may be null)

Method Detail

### getWindingRule

    public int getWindingRule()

  Specified by:
    `getWindingRule` in interface `java.awt.geom.PathIterator`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `java.awt.geom.PathIterator`

### next

    public void next()

  Specified by:
    `next` in interface `java.awt.geom.PathIterator`

### currentSegment

    public int currentSegment(float[] coords)

  Specified by:
    `currentSegment` in interface `java.awt.geom.PathIterator`

### currentSegment

    public int currentSegment(double[] coords)

  Specified by:
    `currentSegment` in interface `java.awt.geom.PathIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD